<!DOCTYPE html>
<html lang="en" th:lang="#{lang}" xmlns:th="http://www.thymeleaf.org">
<head>
    <!--CSS -->
    <link th:href="@{/css/fotorama.css}" rel="stylesheet" type="text/css">
    <link th:href="@{/css/datepicker.min.css}" rel="stylesheet" type="text/css">

    <!--/*/ <th:block th:include="fragments/layout :: head">
        </th:block> /*/-->

    <!--SCRIPTS-->
    <script th:src="@{/js/fotorama.js}" type="text/javascript"></script>
    <script th:src="@{/js/datepicker.js}" type="text/javascript"></script>
</head>
<body>

<div id="wrapper">

    <div th:replace="fragments/layout :: header('sortiment')"></div>

    <!--CAROUSEL-->
    <div th:replace="fragments/layout :: carousel-sm"></div>

    <main id="main" class="container mt-4">

        <div id="notFoundMessage" class="alert alert-warning fade show" role="alert" th:if="${product == null}">
            <span>Nepodařilo se vyhledat produkt</span>
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>

        <div th:if="${product != null}">

            <h2 class="mb-4 pb-3 border-bottom" th:text="${product.name}"></h2>

            <div th:replace="fragments/layout :: alerts"></div>

            <div>
                <div class="float-md-right col-md-7 col-lg-6 ml-3 mb-3">
                    <div class="fotorama"
                         data-nav="thumbs"
                         data-click="true"
                         data-allowfullscreen="true"
                         data-keyboard="true"
                         th:if="${not #lists.isEmpty(product.images)}">

                        <a th:each="image : ${product.images}" th:href="@{'/image/' + ${image.name}}">
                            <img th:src="@{'/image/' + ${image.getSmallName()}}" th:width="${image.width}"
                                 th:height="${image.height}">
                        </a>

                    </div>
                </div>

                <p class="font-weight-bold" th:text="${product.description}"></p>

                <div class="mt-45">
                    <p th:utext="${product.html}"></p>
                </div>
            </div>

            <div id="borrow" class="card w-100 mt-45">
                <h5 class="card-header">Rezervace</h5>

                <form id="product-form" class="dropzone needs-validation" method="post" enctype="multipart/form-data"
                      th:action="@{/borrow/add}" th:object="${borrow}" th:fragment="productEdit(product)" novalidate>

                    <div class="card-body p-3 clearfix">
                        <div class="row">
                            <div class="col-6">
                                <span>Vyberte datum:</span>
                                <div type="text" class="datepicker-here"
                                     data-range="true"
                                     data-multiple-dates-separator=" - ">
                                </div>
                            </div>
                            <div class="col-6">

                                <!--ACCESSORY-->
                                <div th:if="${not #lists.isEmpty(product.accessories)}">
                                    <div th:each="accessory,iStat : ${product.accessories}">
                                        <input type="checkbox" th:value="${accessory.id}"
                                               th:field="${borrow.accessories[__${iStat.index}__].id}"/>
                                        <span th:text="${accessory.name}"></span>
                                        <input type="hidden" th:field="${borrow.accessories[__${iStat.index}__].name}">
                                    </div>
                                </div>

                            </div>
                        </div>

                        <button type="submit" class="btn btn-success mt-2 float-right">Zarezervovat</button>
                    </div>

                </form>
            </div>

        </div>

    </main>
</div>

<div th:replace="fragments/layout :: footer"></div>


</body>
</html>